apiVersion: apps/v1
kind: Deployment
metadata:
  name: memcached-deployment
  namespace: memcached
spec:
  replicas: 1
  selector:
    matchLabels:
      app: memcached
  template:
    metadata:
      labels:
        app: memcached
    spec:
      containers:
      - name: memcached
        image: $IMAGE_TAG
        ports:
        - containerPort: 11211
#      imagePullSecrets:  # Add this field if not present
#      - name: gitlab-registry-secret  # The name of the secret you created